> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Export a contact (GDPR) > Pushes asynchronous GDPR contact export, which will send system message with the link in the end. ## OpenAPI ````json GET /contact/export { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/contact/export": { "get": { "tags": [ "Contact" ], "summary": "Export a contact (GDPR)", "description": "Pushes asynchronous GDPR contact export, which will send system message with the link in the end.", "operationId": "export", "parameters": [ { "name": "contactId", "in": "query", "description": "The user ID of the contact to perform export for.", "required": true, "schema": { "type": "integer", "format": "int64" } }, { "name": "notificationRecipient", "in": "query", "description": "Active system user which is going to be used for permission checks, and will get system message.", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "", "content": { "application/octet-stream": { "schema": { "type": "boolean" } } } }, "400": { "description": "Parameter contactId and notificationRecipient are mandatory, but are missing or incorrect.", "content": { "application/octet-stream": {} } }, "404": { "description": "Error response: {
\"errorActor\": \"CLIENT\",
\"errorCode\": \"INVALID_REQUEST\",
\"message\": \"Not Found\"
}", "content": { "application/octet-stream": {} } } } } } } } ````